/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is useragent toolbar.
 *
 * The Initial Developer of the Original Code is David Illsley.
 * Portions created by the Initial Developer are Copyright (C) 2001
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *  Andy Edmonds <aedmonds@mindspring.com>
 *  David Illsley <illsleydc@bigfoot.com>
 *  Pavol Vaskovic <pali@pali.sk>
 *  John Woods <johnrw@bestweb.net>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var thisLocale = "de-AT";
var sysChrome = getFolder("chrome","googlebar/content");
var userChrome = getFolder("Current User","chrome/googlebar/content");
var f1, f2;



initInstall("Googlebar", "/mozdev/googlebar", "0.6");

logComment("Googlebar: Finding old Installation type\n");

f1=File.exists(sysChrome);
f2=File.exists(userChrome);

logComment("Googlebar: was found in the installations chromeDir:" + f1 + " zero for no, one for yes ");
logComment("Googlebar: was found in the users profile chromeDir:" + f2 + " zero for no, one for yes ");

if(f2){
mgDir = getFolder("Current User","chrome/googlebar"); 
setPackageFolder(mgDir);
var err = addDirectory("googlebar");
if ( err == SUCCESS ) { 
  registerChrome(LOCALE | PROFILE_CHROME, getFolder(mgDir, "locale/" + thisLocale + "/googlebar"));
  err = performInstall();
  if ( err == SUCCESS ) {
    alert("The Googlebar has been succesfully installed. \n"
      +"Please restart your browser to continue.");
  }
}

} else {

mgDir = getFolder("chrome","googlebar"); 
setPackageFolder(mgDir);
var err = addDirectory("googlebar");
if ( err == SUCCESS ) { 
  registerChrome(LOCALE | DELAYED_CHROME, getFolder(mgDir, "locale/" + thisLocale + "/googlebar"));
  err = performInstall();
  if ( err == SUCCESS ) {
    alert("The Googlebar has been succesfully installed. \n"
      +"Please restart your browser to continue.");
  }
  else { 
    alert("performInstall() failed. \n"
    +"_____________________________\nError code:" + err);
    cancelInstall(err);
  }
} 

}

